[keyresult] CI cluster responds to spike in queued builds by starting and registering additional jenkins slaves
Closed, ResolvedPublic

Description

Subtasks (where work/discussion will happen) will be created and/or marked as blockers of this one.

greg created this task.Sep 1 2015, 8:35 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 8:35 PM
greg set Security to None.
hashar added a subscriber: hashar.Sep 25 2015, 3:06 PM

Some jobs are being migrated to Nodepool. Right now it has a base pool of 10 instances and can raise it up to 20 depending on jobs in Zuul Gearman queue.

greg updated the task description. (Show Details)Sep 30 2015, 9:27 PM
greg added a comment.Dec 2 2015, 9:26 PM

The idea we talked about in our 1:1:

  • Spawn a lot of dummy commits for repos that are tested on nodepool, enough to cause it to spin up more instances
  • watch it do that
  • take a screenshot of the resulting pretty graph
  • profit (aka: call this task done with supporting evidence)

@greg that sounds like a good test plan :-]

I sent 12 patches against integration/config each triggering two jobs running on nodepool for a total of 24 jobs.

Experiment done around 2015-12-02 22:00 UTC. Will parse the Nodepool logs to verify its behavior.

greg closed this task as Resolved.Jan 20 2016, 12:21 AM
greg claimed this task.

Per confirmation with @hashar, this is done.

Restricted Application added a project: User-greg. · View Herald TranscriptJan 20 2016, 12:21 AM
greg reassigned this task from greg to hashar.Jan 20 2016, 12:21 AM
greg removed a project: User-greg.